# Enum Class CatalogResolver.NotFoundAction

java.lang.Object
java.lang.Enum<CatalogResolver.NotFoundAction>
javax.xml.catalog.CatalogResolver.NotFoundAction

All Implemented Interfaces:
  `Serializable, Comparable<CatalogResolver.NotFoundAction>, Constable`

Enclosing interface:
  `CatalogResolver`

public static enum CatalogResolver.NotFoundAction extends Enum<CatalogResolver.NotFoundAction>
Defines the actions that a CatalogResolver may take when it is unable to resolve an external reference. The actions are mapped to the string values of the `RESOLVE` property.

Since:
  22

## Nested Class Summary

### Nested classes/interfaces declared in class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONTINUE`
Indicates that the processing should continue as defined by the `RESOLVE` property.
`IGNORE`
Indicates that the reference is skipped as defined by the `RESOLVE` property.
`STRICT`
Indicates that the resolver should throw a CatalogException as defined by the `RESOLVE` property.

## Method Summary

Modifier and Type
Method
Description
`static CatalogResolver.NotFoundAction`
`getType(String resolve)`
Returns the action type mapped to the specified `resolve` property.
`static CatalogResolver.NotFoundAction`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CatalogResolver.NotFoundAction[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONTINUE

public static final CatalogResolver.NotFoundAction CONTINUE
Indicates that the processing should continue as defined by the `RESOLVE` property.

### IGNORE

public static final CatalogResolver.NotFoundAction IGNORE
Indicates that the reference is skipped as defined by the `RESOLVE` property.

### STRICT

public static final CatalogResolver.NotFoundAction STRICT
Indicates that the resolver should throw a CatalogException as defined by the `RESOLVE` property.

## Method Details

### values

public static CatalogResolver.NotFoundAction[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CatalogResolver.NotFoundAction valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getType

public static CatalogResolver.NotFoundAction getType(String resolve)
Returns the action type mapped to the specified `resolve` property.

Parameters:
  `resolve` - the value of the RESOLVE property
Returns:
  the action type